local StoneGateV5 = ...

-- Register all stone gate set building parts and their properties
StoneGateV5:dofile("scripts/basicMain.lua")
StoneGateV5:dofile("scripts/basicKeep.lua")
StoneGateV5:dofile("scripts/basicSmallSquaredTower.lua")
StoneGateV5:dofile("scripts/decoration.lua")
StoneGateV5:dofile("scripts/poleFlag.lua")

-- Register the stone gate set monument
StoneGateV5:register({
	DataType = "MONUMENT",
	Id = "STONE_GATE_V5_MONUMENT",
	Name = "STONE_GATE_V5_MONUMENT_NAME",
	Description = "STONE_GATE_V5_MONUMENT_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{
			Name = "STONE_GATE_V5_MAIN_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "STONE_GATE_V5_MAIN_ROOT_PART",
		            "STONE_GATE_V5_MAIN_ROOF_D_PART", -- Closed roof
		            "STONE_GATE_V5_MAIN_ROOF_A_PART", -- Opened roof
		            "STONE_GATE_V5_MAIN_ROOF_B_PART", -- half opened roof 1
		            "STONE_GATE_V5_MAIN_ROOF_C_PART", -- half opened roof 2
		            "STONE_GATE_V5_MAIN_RAMPART_D_PART", -- Closed rampart
		            "STONE_GATE_V5_MAIN_RAMPART_A_PART", -- Opened rampart
		            "STONE_GATE_V5_MAIN_RAMPART_B_PART", -- half opened rampart 1
		            "STONE_GATE_V5_MAIN_RAMPART_C_PART"  -- half opened rampart 2
                        }
                },
		{
			Name = "STONE_GATE_V5_KEEP_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "STONE_GATE_V5_KEEP_ROOT_PART",
		            "STONE_GATE_V5_KEEP_ROOF_C_PART", -- Closed roof
		            "STONE_GATE_V5_KEEP_ROOF_D_PART", -- 1 side opened
		            "STONE_GATE_V5_KEEP_ROOF_B_PART", -- 2 opposite sides opened
		            "STONE_GATE_V5_KEEP_ROOF_E_PART", -- 2 adjacent sides opened
		            "STONE_GATE_V5_KEEP_ROOF_A_PART", -- 3 sides opened
		            "STONE_GATE_V5_KEEP_ROOF_F_PART"  -- all sides opened
                        }
                },
		{
			Name = "STONE_GATE_V5_SST_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "STONE_GATE_V5_SST_ROOT_PART",
		            "STONE_GATE_V5_SST_ROOF_A_PART", -- Closed roof
		            "STONE_GATE_V5_SST_ROOF_B_PART",  -- 1 side opened roof
		            "STONE_GATE_V5_SST_RAMPART_A_PART",  -- Close rampart
		            "STONE_GATE_V5_SST_RAMPART_B_PART"   -- 1 side opened rampart
                        }
                },
		{
			Name = "STONE_GATE_V5_ENTRANCE_PARTSETLIST_NAME",
	                BuildingPartList = {
 		            "STONE_GATE_V5_ENTRANCE_DOOR_A_PART",
  		            "STONE_GATE_V5_ENTRANCE_DOOR_B_PART"
                       }
                },
		{
			Name = "STONE_GATE_V5_DECORATION_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "STONE_GATE_V5_DECORATION_SFENETRE_PART",
		            "STONE_GATE_V5_DECORATION_LFENETRE_PART",
		            "STONE_GATE_V5_DECORATION_PFENETRE_PART",
		            "STONE_GATE_V5_DECORATION_ARROWSLIT_PART",
		            "STONE_GATE_V5_DECORATION_BALCONY_PART",
		            "STONE_GATE_V5_POLE_FLAG_RED_ROOT_PART",
		            "STONE_GATE_V5_POLE_FLAG_BLUE_ROOT_PART",
		            "STONE_GATE_V5_POLE_FLAG_GREEN_ROOT_PART",
		            "STONE_GATE_V5_POLE_FLAG_PURPLE_ROOT_PART",
		            "STONE_GATE_V5_POLE_FLAG_ORANGE_ROOT_PART",
		            "STONE_GATE_V5_POLE_FLAG_TURQUOISE_ROOT_PART"
                        }
                }                  
	},
	RequiredPartList = {
		-- Necessarily a list of 'MONUMENT_REQUIRED_PART_PAIR', no need to specify the DataType of each element of the list
		{ Category = "CORE", Quantity = 1 }
	},
        IsEditable = true
})